/**
 * @desc 集成产品清单
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: '产品编码',
    prop: 'code',
    tooltip: true,
    other: {
      color: '#409EFF'
    },
    align: "left"
  },
  {
    label: '产品名称',
    prop: 'name',
    tooltip: true,
  },
  {
    label: '产品分类',
    prop: 'classifyName',
    tooltip: true,
  },
  {
    label: '出品公司',
    prop: 'productionCompany',
    tooltip: true,
  },
]
const tableVersionColumn = [
  {
    label: '版本号',
    prop: 'versionNumber',
  },
  {
    label: '版本说明',
    prop: 'versionDescription',
  },
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: '产品编码',
      prop: 'code',
      tag: 'elInput',
    },{
      label: '产品名称',
      prop: 'name',
      tag: 'elInput',
    }]
  },
  {
    elCol: [{
      label: '产品分类',
      prop: 'classify',
      tag: 'elSelect',
      options:[],
      optionValue:'column_value',
			optionLabel:'column_content',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '产品简述',
      prop: 'description',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
    }]
  },
  {
    elCol: [{
      label: '出品公司',
      prop: 'productionCompany',
      tag: 'elInput',
      span: 24,
    }]
  },
]

const basicsRules ={
  code:[{
    required: true,
    message: '请输入产品编码',
    trigger: 'blur'
  }],
  name:[{
    required: true,
    message: '请输入产品名称',
    trigger: 'blur'
  }],
  classify:[{
    required: true,
    message: '请选择产品分类',
    trigger: 'blur'
  }],
  productionCompany:[{
    required: true,
    message: '请输入出品公司',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '产品编码',
      prop: 'code',
      tag: 'elInput',
      disabled:true
    },{
      label: '产品名称',
      prop: 'name',
      tag: 'elInput',
      disabled:true
    }]
  },
  {
    elCol: [{
      label: '产品分类',
      prop: 'classify',
      tag: 'elSelect',
      disabled:true,
      options:[],
      optionValue:'column_value',
			optionLabel:'column_content',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '产品简述',
      prop: 'description',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
      disabled:true
    }]
  },
  {
    elCol: [{
      label: '出品公司',
      prop: 'productionCompany',
      tag: 'elInput',
      span: 24,
      disabled:true
    }]
  },
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
  tableVersionColumn
}