/**
 * @desc 集成产品清单
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: '工坊名称',
    prop: 'workshopName',
  },  {
    label: '插件名称',
    prop: 'plugName',
  },
  {
    label: '描述',
    prop: 'remark',
  },
]
const tableVersionColumn = [
  {
    label: '参数',
    prop: 'argName',
  },
  {
    label: '参数值',
    prop: 'argValue',
  },
  {
    label: '备注',
    prop: 'remark',
  },
]

// 基本信息内容
const formRow = [
  {
    elCol: [{
      label: '工坊名称',
      prop: 'workshopName',
      tag: 'elInput',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '插件',
      prop: 'plugName',
      slotName: 'plugName',
      tag: 'elSlot',
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'remark',
      tag: 'elInput',
      type: 'textarea',
      span: 24,
    }]
  },
]

const basicsRules ={
  plugName:[{
    required: true,
    message: '请选择插件',
    trigger: 'blur'
  }],
  workshopName:[{
    required: true,
    message: '请输入工坊名称',
    trigger: 'blur'
  }],
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '工坊名称',
      prop: 'workshopName',
      tag: 'elLook',
      span: 24,
      disabled:true,
    }]
  },
  {
    elCol: [{
      label: '插件',
      prop: 'plugName',
      slotName: 'plugName',
      tag: 'elLook',
      span: 24,
      disabled:true,
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'remark',
      tag: 'elLook',
      type: 'textarea',
      span: 24,
      disabled:true,
    }]
  },
]
const operationTableColumn= [
  {
    label: '本次推送的执行时间',
    prop: 'create_time',
  },
  {
    label: '本次推送的入参',
    prop: 'inParameter',
  },
  {
    label: '推送人名称',
    prop: 'create_user_id',
  },
  {
    label: '任务状态',
    prop: 'status',
  },
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
  tableVersionColumn,
  operationTableColumn
}
