/**
 * @desc 集成产品清单
 * @date 2023-07-10
 */
// 表头
const tableColumnData = [
  {
    label: '应用编码',
    prop: 'leftAppCode'
  },
  {
    label: '应用名称',
    prop: 'leftAppName'
  },
  {
    label: '编码',
    prop: 'leftCode'
  },
  {
    label: '名称',
    prop: 'leftName'
  },
  {
    label: '应用编码',
    prop: 'rightAppCode'
  },
  {
    label: '应用名称',
    prop: 'rightAppName'
  },
  {
    label: '编码',
    prop: 'rightCode'
  },
  {
    label: '名称',
    prop: 'rightName'
  }
]
const tableVersionColumn = [
  {
    label: '参数名称',
    prop: 'argName'
  },
  {
    label: '参数编码',
    prop: 'argCode'
  },
  {
    label: '参数类型',
    prop: 'argType',
    width: 200
  },
  {
    label: '备注',
    prop: 'remark'
  }
]

// 基本信息内容
const formRow = [
  {
    elCol: [
      {
        label: '左应用编码',
        prop: 'leftAppCode',
        tag: 'elInput',
        span: 12,
        disabled: true
      },
      {
        label: '左应用名称',
        prop: 'leftAppName',
        tag: 'elSelect',
        span: 12,
        options: []
      }
    ]
  },
  {
    elCol: [
      {
        label: '编码',
        prop: 'leftCode',
        tag: 'elInput',
        span: 12
      },
      {
        label: '名称',
        prop: 'leftName',
        tag: 'elInput',
        span: 12
      }
    ]
  },
  {},
  {
    elCol: [
      {
        label: '右应用编码',
        prop: 'rightAppCode',
        tag: 'elInput',
        span: 12,
        disabled: true
      },
      {
        label: '右应用名称',
        prop: 'rightAppName',
        tag: 'elSelect',
        span: 12,
        options: []
      }
    ]
  },
  {
    elCol: [
      {
        label: '编码',
        prop: 'rightCode',
        tag: 'elInput',
        span: 12
      },
      {
        label: '名称',
        prop: 'rightName',
        tag: 'elInput',
        span: 12
      }
    ]
  },
  {
    elCol: [

      {
        label: '排序',
        prop: 'sorts',
        tag: 'elInput',
        type: 'number',
        span: 12
      }
    ]
  }
]
// 人员显示内容
const peopleFormRow = [
  {
    elCol: [
      {
        label: '左应用编码',
        prop: 'leftAppCode',
        tag: 'elInput',
        span: 12,
        disabled: true
      },
      {
        label: '左应用名称',
        prop: 'leftAppName',
        tag: 'elSelect',
        span: 12,
        options: []
      }
    ]
  },
  {
    elCol: [
      {
        label: '编码',
        prop: 'leftCode',
        tag: 'elInput',
        span: 12
      },
      {
        label: '名称',
        prop: 'leftName',
        tag: 'elInput',
        span: 12
      }
    ]
  },
  {
    elCol: [

      {
        label: '手机号',
        prop: 'leftTel',
        tag: 'elInput',
        type: 'number',
        span: 12
      },
      {
        label: '身份证号',
        prop: 'leftIc',
        tag: 'elInput',
        type: 'number',
        span: 12
      }
    ]
  },
  {
    elCol: [
      {
        label: '右应用编码',
        prop: 'rightAppCode',
        tag: 'elInput',
        span: 12,
        disabled: true
      },
      {
        label: '右应用名称',
        prop: 'rightAppName',
        tag: 'elSelect',
        span: 12,
        options: []
      }
    ]
  },
  {
    elCol: [
      {
        label: '编码',
        prop: 'rightCode',
        tag: 'elInput',
        span: 12
      },
      {
        label: '名称',
        prop: 'rightName',
        tag: 'elInput',
        span: 12
      }
    ]
  },
  {
    elCol: [

      {
        label: '手机号',
        prop: 'rightTel',
        tag: 'elInput',
        type: 'number',
        span: 12
      },
      {
        label: '身份证号',
        prop: 'rightIc',
        tag: 'elInput',
        type: 'number',
        span: 12
      }
    ]
  },
  {
    elCol: [
      {
        label: '排序',
        prop: 'sorts',
        tag: 'elInput',
        type: 'number',
        span: 12
      }
    ]
  }
]
const basicsRules = {
  leftCode: [{
    required: true,
    message: '请填写编码',
    trigger: 'blur'
  }],
  leftName: [{
    required: true,
    message: '请填写名称',
    trigger: 'blur'
  }],
  rightCode: [{
    required: true,
    message: '请填写编码',
    trigger: 'blur'
  }],
  rightName: [{
    required: true,
    message: '请填写名称',
    trigger: 'blur'
  }]
}

// 查看
const formRowShow = [
  {
    elCol: [{
      label: '插件',
      prop: 'plugName',
      tag: 'elLook',
      disabled: true,
      span: 24
    }]
  },
  {
    elCol: [{
      label: '描述',
      prop: 'remark',
      tag: 'elLook',
      type: 'textarea',
      span: 24,
      disabled: true
    }]
  }
]
export default {
  tableColumnData,
  formRow,
  basicsRules,
  formRowShow,
  tableVersionColumn,
  peopleFormRow
}
